#
# Copyright (c) 2025 Fedir Kovalov.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#


class Video:
    def __init__(
        self,
        id: str,
        title: str,
        description: str,
        watch_time: float,
        watch_progress: float,
    ):
        self._id = id
        self._title = title
        self._description = description
        self._watch_time = watch_time
        self._watch_progress = watch_progress

    @property
    def title(self):
        return self._title

    @property
    def id(self):
        return self._id

    @property
    def description(self):
        return self._description

    @property
    def watch_time(self):
        return self._watch_time

    @property
    def watch_progress(self):
        return self._watch_progress
